EAPI=4

inherit eutils toolchain-funcs

DESCRIPTION="Reveal Rootkit detects processes hidden by rootkits on POSIX systems."
HOMEPAGE="http://sourceforge.net/projects/revealrk"
SRC_URI="mirror://sourceforge/${PN}/${P}.tgz"

LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
IUSE="+cron"

DEPEND="
	sys-libs/libcap \
	cron? ( virtual/cron )
"
RDEPEND=${DEPEND}
	

S=${WORKDIR}

src_install() {
	dosbin revealrk 
	dodoc README license.txt

	if use cron; then
		dosym revealrk /etc/cron.daily/revealrk
	fi
}

pkg_postinst() {
	if use cron; then
		echo
		elog "Added symlink to revealrk into /etc/cron.daily/."
		echo
	fi
}
